Bug 979180 - bibexport duplicates texlive-bibexport
bibexport duplicates texlive-bibexport
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bibexport (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Reopened, Tracking
Depends On: 979448
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 16:38 EDT by Orion Poplawski
Modified: 2015-10-05 03:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 979448 (view as bug list)
Environment:
Last Closed: 2015-10-02 07:35:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-06-27 16:38:00 EDT
Description of problem:

This appears to simply be an older version of the bibexport shipped in texlive-bibexport.  This package probably should be retired.

Version-Release number of selected component (if applicable):
2.10-9
Comment 1 Michael J Gruber 2013-06-28 08:58:11 EDT
(In reply to Orion Poplawski from comment #0)
> Description of problem:
> 
> This appears to simply be an older version of the bibexport shipped in
> texlive-bibexport.  This package probably should be retired.

While that is certainly true, texlive didn't always ship bibexport if I remember correctly.

The proper course of action would be:

A) texlive-bibtex(-bin) provides compatibility link as /usr/bin/bibexport.sh (the former location of bibexport)

B) texlive-bibtex(-bin) provides "obsoletes" in spec (i.e. states that it obsoletes bibexport)

C) bibexport gets retired.

A,B can be done in one step, of course, and wpould need a new bug on which this one depends.

So, this should really be a bug report against the newer texlive-bibexport which duplicates the older bibexport, unless we decide to skip the usual A,B completely and jump right ahead to C.

Orion, have you cc'ed texlive-export people on this?
Comment 2 Fedora End Of Life 2013-09-16 10:17:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Fedora End Of Life 2015-05-29 05:08:24 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:01:50 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Fedora Admin XMLRPC Client 2015-10-02 07:33:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Michael J Gruber 2015-10-02 07:35:50 EDT
Retired on rawhide and F23
Comment 7 Michael J Gruber 2015-10-05 03:09:13 EDT
Actually, the texlive-bibexport fix got pushed to F22. Changing to "fixed in current release".

Nonetheless, as per the Fedora guidelines, the package bibexport is not retired in the current release branch (but in branched and rawhide).

Note You need to log in before you can comment on or make changes to this bug.